<div class="docs-primary-header component-page-header">
  <mat-chip-list>
      <mat-chip>
          <mat-icon>home</mat-icon>
          <a routerLink="/dashboard">Home</a> /
          Brands
      </mat-chip>
  </mat-chip-list>
</div>



<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>MESSAGES</span>
      <div style="flex-grow:1;"></div>
    
    
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">DELETE</button> 
     
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <mat-table #table [dataSource]="dataSource" matSort>

      <ng-container matColumnDef="message_id">
        <mat-header-cell *matHeaderCellDef mat-sort-header> ID. </mat-header-cell>
        <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
      </ng-container>

      
      <ng-container matColumnDef="name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
      </ng-container>
      
      <ng-container matColumnDef="email">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Email </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.email}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="mobile_no">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Mobile No </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.mobile_no}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="message">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Message </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.message}} </mat-cell>
      </ng-container>

     
      <!-- <ng-container matColumnDef="action"> 
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select </mat-header-cell>
        <mat-cell *matCellDef="let element"><mat-checkbox (change)="sendIDS($event.checked,element.brand_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container> -->

      <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef>
          <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
          [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
              >
          </mat-checkbox>
        </mat-header-cell>
        <mat-cell *matCellDef="let row">  
          <mat-checkbox  (change)="sendIDS($event.checked,row.message_id,posts.length)"
                        [checked]="sel">
          </mat-checkbox>
        </mat-cell>
      </ng-container>
      <!-- <ng-container matColumnDef="select">
          <mat-header-cell *matHeaderCellDef>
              <mat-checkbox (change)="$event ? masterToggle() : null"
                            [checked]="selection.hasValue() && isAllSelected()"
                            [indeterminate]="selection.hasValue() && !isAllSelected()">
              </mat-checkbox>
            </mat-header-cell>
            <mat-cell *matCellDef="let row">
              <mat-checkbox (click)="$event.stopPropagation()"
                            (change)="$event ? selection.toggle(row.brand_id) : null"
                            [checked]="selection.isSelected(row.brand_id)">
              </mat-checkbox> 
            </mat-cell>
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select </mat-header-cell>
        <mat-cell *matCellDef="let element"><mat-checkbox (change)="sendIDS($event.checked,element.brand_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container> -->

      <mat-header-row *matHeaderRowDef="['message_id', 'name','email','mobile_no','message', 'action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['message_id', 'name','email','mobile_no','message', 'action']"></mat-row>

    </mat-table>
    
    <!-- <mat-paginator  [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]"> -->
        <mat-paginator [length]="100000" [pageSize]="5000" [pageSizeOptions]="[5000, 10000,50000, 100000]">

    </mat-paginator>
    
  </div>
</div>

